/** (C) 2002 Peter Stevens
 * This is licensed under the GNU GPL
 *
 * See the file copying for details
 */

#include "ui.h"
#include "yahtzeeRsc.h"
/** Updates a label with the supplied number - leaves it blank if -1 */
void updateNumber (Int16 labelId, Int16 score) {
	
	Char  value[3];
	if (score != (-1)) {
		StrPrintF(value, "%d", score);
		updateLabel(labelId, value);
	}
	else {
		updateLabel(labelId, "   ");
	}

}
/** Updates a Label with the Supplied Text */
void updateLabel (Int16 labelId, Char newText[]) {

	FormPtr frm = FrmGetActiveForm();
	Int16 ScrLblIX = FrmGetObjectIndex(frm, labelId);
	FrmHideObject(frm, ScrLblIX);
	FrmCopyLabel(frm, labelId, newText);
	FrmShowObject(frm, ScrLblIX);
}

/** Updates the player name */
void updatePlayerName(Char newText[]) {

	updateLabel(Player, newText);
}

/** Updates an entry in the scoresheet */
void updateScore(Int16 no, Int16 value) {

	updateNumber(Score1 + no, value);

}

void updateUpperTotal(Int16 value) {
	updateNumber(Upper, value);
}

void updateLowerTotal(Int16 value) {
	updateNumber(Lower, value);
}

void updateBonus(Int16 value) {
	updateNumber(Bonus, value);
}

void updateTotal(Int16 value) {
	updateNumber(Total, value);
}




